import React from "react";
import { ThemeStyleSheetFactory, WithStylesOptions, StyledComponent, ThemeSheet } from "../types";
/**
 * Wrap a React component with an HOC that injects the defined style sheet as a prop.
 */
declare function withStyles<Theme = ThemeSheet, T = unknown>(styleSheet: ThemeStyleSheetFactory<T>, options?: WithStylesOptions): <Props extends object = {}>(WrappedComponent: React.ComponentType<Props & import("aesthetic-react").WithStylesWrappedProps<import("../types").Theme> & import("aesthetic-react").WithStylesWrapperProps & {
    parentStylesheet?: import("aesthetic").StyleSheetFactory<import("../types").Theme, T> | undefined;
}>) => StyledComponent<Props & import("aesthetic-react").WithStylesWrapperProps & {
    parentStylesheet?: import("aesthetic").StyleSheetFactory<import("../types").Theme, T> | undefined;
}>;
export default withStyles;
