import React, { PropsWithChildren } from "react";
import { IPopoverRef, IProps as IPopoverProps } from "../Popover/Popover";
import { ThemeStyleSheetFactory, WithStylesProps } from "../../types";
export interface IItem {
    id: string;
    text: string;
}
export interface IProps<T extends IItem> extends PropsWithChildren<IPopoverProps> {
    items: T[];
    renderHeader?: () => React.ReactNode;
    renderItem?: (item: T, selected: boolean, index?: number) => React.ReactNode;
    label?: string;
    text?: string;
    placeholder?: string;
}
interface ISingleProps<T extends IItem> extends IProps<T> {
    onItemSelected: (item: T) => void;
    selectedItem?: T;
}
export declare const styleSheet: ThemeStyleSheetFactory;
export declare const styleSheetPopover: ThemeStyleSheetFactory;
export declare const usePopoverRef: (wrappedRef: React.RefObject<IPopoverRef> | ((instance: IPopoverRef) => void) | null | undefined) => React.RefObject<IPopoverRef>;
export declare const DropdownHeader: React.FC<{
    label?: string;
    text?: string;
} & WithStylesProps>;
export declare const Dropdown: import("../../types").StyledComponent<ISingleProps<IItem> & {
    children?: React.ReactNode;
} & import("aesthetic-react").WithStylesWrapperProps & {
    parentStylesheet?: import("aesthetic").StyleSheetFactory<import("../../types").Theme, unknown> | undefined;
}>;
export default Dropdown;
